"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const CreateCommandModule_1 = require("./commands/CreateCommandModule");
const EntrypointCommandModule_1 = require("./commands/EntrypointCommandModule");
const CreateTsIndexOption_1 = require("./options/CreateTsIndexOption");
const CTIUtility_1 = require("./tools/CTIUtility");
class TypeScritIndexWriter {
    getDefaultOption(cwd) {
        if (CTIUtility_1.isNotEmpty(cwd)) {
            const optionWithCwd = CreateTsIndexOption_1.CreateTsIndexOption.getOption({});
            optionWithCwd.globOptions.cwd = cwd;
            return new CreateTsIndexOption_1.CreateTsIndexOption(optionWithCwd);
        }
        const option = CreateTsIndexOption_1.CreateTsIndexOption.getOption({});
        return new CreateTsIndexOption_1.CreateTsIndexOption(option);
    }
    create(option, _cliCwd) {
        return __awaiter(this, void 0, void 0, function* () {
            const cliCwd = (() => {
                if (CTIUtility_1.isNotEmpty(_cliCwd)) {
                    return _cliCwd;
                }
                if (CTIUtility_1.isNotEmpty(option.globOptions.cwd)) {
                    return option.globOptions.cwd;
                }
                return process.cwd();
            })();
            const createCommand = new CreateCommandModule_1.CreateCommandModule();
            const result = yield createCommand.do(cliCwd, option);
            return result;
        });
    }
    createEntrypoint(option, _cliCwd) {
        return __awaiter(this, void 0, void 0, function* () {
            const cliCwd = (() => {
                if (CTIUtility_1.isNotEmpty(_cliCwd)) {
                    return _cliCwd;
                }
                if (CTIUtility_1.isNotEmpty(option.globOptions.cwd)) {
                    return option.globOptions.cwd;
                }
                return process.cwd();
            })();
            const entrypointCommand = new EntrypointCommandModule_1.EntrypointCommandModule();
            const result = yield entrypointCommand.do(cliCwd, option);
            return result;
        });
    }
}
exports.TypeScritIndexWriter = TypeScritIndexWriter;
//# sourceMappingURL=TypeScritIndexWriter.js.map