import * as glob from 'glob';
import { ICreateTsIndexCliOption } from './ICreateTsIndexCliOption';
import { ICreateTsIndexOption } from './ICreateTsIndexOption';
import { TCleanCliOption, TEntrypointCliOption, TInitCliOption } from './partialCliOption';
export declare function createOptionBuilder(args: ICreateTsIndexCliOption, cwd: string): ICreateTsIndexOption;
export declare function entrypointOptionBuilder(args: TEntrypointCliOption, cwd: string): ICreateTsIndexOption;
export declare function cleanOptionBuilder(args: TCleanCliOption, cwd: string): ICreateTsIndexOption;
export declare function initOptionBuilder(args: TInitCliOption, cwd: string): ICreateTsIndexOption;
export declare function getDefailtICreateTsIndexOption(cwd?: string): ICreateTsIndexOption;
export declare class CreateTsIndexOption {
    static factory({ option, partialOption, }: {
        option?: ICreateTsIndexOption;
        partialOption?: Partial<ICreateTsIndexOption>;
    }): CreateTsIndexOption;
    static getOption(passed: Partial<ICreateTsIndexOption>): CreateTsIndexOption;
    /** enable file first */
    readonly fileFirst: boolean;
    /** add newline on EOF */
    readonly addNewline: boolean;
    /** add semicolon on every export statement */
    readonly useSemicolon: boolean;
    /** add timestamp on creation comment */
    readonly useTimestamp: boolean;
    /** current working directory add to creation work */
    readonly includeCWD: boolean;
    /** exclude directories */
    readonly excludes: Array<string>;
    /** file exclude pattern */
    readonly fileExcludePatterns: Array<string>;
    /** file exclude by extension */
    readonly targetExts: Array<string>;
    /** glob option */
    readonly globOptions: glob.IOptions;
    /** quote mark " or ' */
    readonly quote: string;
    /** disply verbose logging message */
    readonly verbose: boolean;
    constructor(fileFirst?: boolean | ICreateTsIndexOption, addNewline?: boolean, useSemicolon?: boolean, useTimestamp?: boolean, includeCWD?: boolean, excludes?: Array<string>, fileExcludePatterns?: Array<string>, targetExts?: Array<string>, globOptions?: glob.IOptions, quote?: string, verbose?: boolean);
}
